## org.exist.xquery.test
Class ValueIndexByQNameTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.ValueIndexTest
                  org.exist.xquery.test.ValueIndexByQNameTest

All Implemented Interfaces:
  junit.framework.Test

public class ValueIndexByQNameTest
extends ValueIndexTest

Author:
  Jean-Marc Vanel http://jmvanel.free.fr/

Constructor Summary
`ValueIndexByQNameTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testStrings()`

Methods inherited from class org.exist.xquery.test.ValueIndexTest
`testIndexScan, testStrFunctions, testUpdates`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueIndexByQNameTest

    public ValueIndexByQNameTest()

Method Detail

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Overrides:
    `testStrings` in class `ValueIndexTest`
  Throws:
    `java.lang.Exception`
  See Also:
    `ValueIndexTest.testStrings()`

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.